/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "basictransition.h"
#include "renderable.h"
#include "transition.h"
#include <stdlib.h>
#include <stdio.h>

BasicTransition::BasicTransition(Renderable* r)
{
  containsTransition = 0;
  obj = r;
  manager = NULL;
}

BasicTransition::BasicTransition(Transition* t)
{
  containsTransition = 1;
  obj = t;
  manager = NULL;
}

BasicTransition::~BasicTransition()
{
}

void BasicTransition::render()
{
  obj->render();
}

void BasicTransition::slideEnter(TransitionManager* t)
{
  printf("BasicTransition::slideEnter(): hit\n");
  manager = t;
  if (containsTransition)
    ((Transition*)obj)->slideEnter(t);
}

void BasicTransition::slideLeave(TransitionManager* t)
{
  printf("BasicTransition::slideLeave(): hit\n");
  manager = t;
  if (containsTransition)
    ((Transition*)obj)->slideLeave(t);
}
