/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef BASICTRANSITION_H
#define BASICTRANSITION_H

#include <transition.h>
#include "transitionmanager.h"

/**
A basic Transition that does nothing special other than passing events down the chain.

@author Joshua Wise
*/
class BasicTransition : public Transition
{
public:
    BasicTransition(Renderable* r);
    BasicTransition(Transition* t);

    ~BasicTransition();
    
    virtual void render();
    virtual void slideEnter(TransitionManager* t);
    virtual void slideLeave(TransitionManager* t);

protected:
    int containsTransition;
    Renderable* obj;
    TransitionManager* manager;
};

#endif
