/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "redcubelargecontentbox.h"
#include <GL/gl.h>
#include <GL/glut.h>
#include <string.h>

RedCubeLargeContentBox::RedCubeLargeContentBox()
 : BlueCubeLargeContentBox()
{
}


RedCubeLargeContentBox::~RedCubeLargeContentBox()
{
}


void RedCubeLargeContentBox::render()
{
  BlueCubeLargeContentBox_ContentList* cur;

  glLineWidth(2.0f);
  glPushMatrix();
    glTranslatef(-0.9f, -0.6f, 0.0f);
    glBegin(GL_QUADS);
      glColor4f(0.7f, 0.2f, 0.3f, 1.0f); glVertex3f(0.0f, 0.0f, 0.0f);
      glColor4f(0.9f, 0.4f, 0.2f, 0.0f); glVertex3f(1.8f, 0.0f, 0.0f);
      glColor4f(1.0f, 0.5f, 0.3f, 0.0f); glVertex3f(1.8f, 1.4f, 0.0f);
      glColor4f(0.9f, 0.4f, 0.3f, 0.0f); glVertex3f(0.0f, 1.4f, 0.0f);
    glEnd();
    glBegin(GL_LINES);
      glColor4f(1.0f, 1.0f, 1.0f, 1.0f); glVertex3f(0.0f, 0.0f, 0.0f);
      glColor4f(1.0f, 1.0f, 1.0f, 0.0f); glVertex3f(1.8f, 0.0f, 0.0f);
     
      glColor4f(1.0f, 1.0f, 1.0f, 1.0f); glVertex3f(0.0f, 0.0f, 0.0f);
      glColor4f(1.0f, 1.0f, 1.0f, 0.0f); glVertex3f(0.0f, 1.4f, 0.0f);
    glEnd();
    
    glColor3f(1.0f, 1.0f, 1.0f);
    glScalef(0.00075f, -0.0010f, 0.001f);
    glTranslatef(30.0f, 10.0f, 0.0f);
    for (cur = list; cur->next; cur = cur->next)
    {
      int i;
      glTranslatef(0.0f, -140.0f, 0.0f);
      glPushMatrix();
        for (i = 0; i < strlen(cur->text); i++) 
          glutStrokeCharacter(GLUT_STROKE_ROMAN, cur->text[i]);
      glPopMatrix();
    }
    
  glPopMatrix();
}

