/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "renderlist.h"
#include <stdlib.h>
#include "basictransition.h"

RenderList::RenderList()
 : Renderable()
{
  next = NULL;
  prev = NULL;
  object = NULL;
}


RenderList::~RenderList()
{
  if (next)
    next->prev = prev;
  if (prev)
    prev->next = next;
  delete object;
}

/*!
    \fn RenderList::render()
 */
void RenderList::render()
{
  RenderList* l = this;
  while (l->next)
  {
    l->object->render();
    l = l->next;
  }
}

/*!
    \fn RenderList::add(Renderable* r)
 */
void RenderList::add(Transition* t)
{
  RenderList* l = this;
  while (l->next && (l->object != t))
    l = l->next;
  if (l->object == t) return;
  l->next = new RenderList();
  l->next->prev = l;
  l->object = t;
}

void RenderList::add(Renderable* r)
{
  add(new BasicTransition(r));
}

