/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef RENDERLIST_H
#define RENDERLIST_H

#include <renderable.h>
#include "transition.h"

/**
Implements a linked list of things to render

@author Joshua Wise
*/
class RenderList : public Renderable
{
public:
    RenderList();

    ~RenderList();
    void render();
    void add(Renderable* r);
    void add(Transition* t);

    Transition* object;
    RenderList* next;
    RenderList* prev;
};

#endif
