/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef ROTATION_H
#define ROTATION_H

#include <renderable.h>

/**
A Renderable that rotates a Renderable that it encompasses.

@author Joshua Wise
*/
class Rotation : public Renderable
{
public:
    Rotation(float x, float y, float z, Renderable* r);

    ~Rotation();

    virtual void render();

protected:
    float x;
    float y;
    float z;
    Renderable* obj;
};

#endif
