/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "slide.h"
#include "renderlist.h"
#include <stdio.h>

Slide::Slide()
 : Renderable()
{
  rlist = new RenderList();
}


Slide::~Slide()
{
}

/*!
    \fn Slide::render()
 */
void Slide::render()
{
  rlist->render();
}


/*!
    \fn Slide::add(Renderable* r)
 */
void Slide::add(Renderable* r)
{
  rlist->add(r);
}

void Slide::add(Transition* r)
{
  rlist->add(r);
}

/*!
    \fn Slide::enterSlide()
 */
void Slide::enter(TransitionManager* t)
{
    /// @todo implement me
}


/*!
    \fn Slide::leaveSlide()
 */
void Slide::leave(TransitionManager* t)
{
    /// @todo implement me
}


/*!
    \fn Slide::event()
 */
int Slide::event()
{
  printf("Slide: Event!\n");
  return 1;
}
