/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef SLIDE_H
#define SLIDE_H

#include <renderable.h>
#include "renderlist.h"
#include "transitionmanager.h"

/**
A generic slide with a background and content.

@author Joshua Wise
*/
class Slide : public Renderable
{
public:
    Slide();

    ~Slide();
    virtual void render();
    virtual void add(Renderable* r);
    virtual void add(Transition* t);
    virtual void enter(TransitionManager* t);
    virtual void leave(TransitionManager* t);
    virtual int event();

protected:
    RenderList* rlist;
};

#endif
