/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "slidein.h"
#include "renderable.h"
#include <sys/timeb.h>
#include <GL/gl.h>
#include <math.h>
#include <stdio.h>

SlideIn::SlideIn(Renderable* r)
{
  obj = r;
}

SlideIn::~SlideIn()
{
}

void SlideIn::render()
{
  static double starttm = 0.0f;
  struct timeb tm;
  double t;
  ftime(&tm);
  t = ((double)tm.time) + ((double)tm.millitm)/1000.0;
  if (starttm == 0.0)
    starttm = t;
  t -= starttm;
  
  glPushMatrix();
    if (t < 2.0f)
    {
      printf("Go: %f\n", t);
      glTranslatef(1.0f + sin((t+1.0)/2.0*M_PI), 0.0f, 0.0f);
    }
      
    obj->render();
  glPopMatrix();
}

