/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef SLIDEINTRANSITION_H
#define SLIDEINTRANSITION_H

#include <basictransition.h>

/**
A Transition in which a Renderable or Transition slides onto the display on frame enter.

@author Joshua Wise
*/
class SlideInTransition : public BasicTransition
{
public:
    SlideInTransition(Transition* t);
    
    SlideInTransition(Renderable* r);

    ~SlideInTransition();

    virtual void render();
    virtual void slideEnter(TransitionManager* t);

protected:
    double starttime;
};

#endif
