/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef SLIDEOUTTRANSITION_H
#define SLIDEOUTTRANSITION_H

#include <basictransition.h>

/**
A basic transition that slides an object out on the slideLeave event. It blocks.

@author Joshua Wise
*/
class SlideOutTransition : public BasicTransition
{
public:
    SlideOutTransition(Transition* t);
    SlideOutTransition(Renderable* r);

    ~SlideOutTransition();

    virtual void render();
    virtual void slideLeave(TransitionManager* t);

protected:
    double starttime;
};

#endif
