/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef SLIDEPRESENTER_H
#define SLIDEPRESENTER_H

#include "renderable.h"
#include "transition.h"
#include "transitionmanager.h"
#include "slide.h"

/**
Presents slides in order, with transitions.

@author Joshua Wise
*/
class SlidePresenter : public Renderable {
public:
    SlidePresenter();
    void render();
    void add(Slide* t);

    ~SlidePresenter();
    void mousefunc(int button, int state, int x, int y);

protected:
    SlidePresenter* next;
    Slide* slide;
    SlidePresenter* prev;
    SlidePresenter* cur;
    TransitionManager* manager;
    int isTransitioning;
};

#endif
