/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#include "spinningcube.h"
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>

SpinningCube::SpinningCube()
 : Renderable()
{
}


SpinningCube::~SpinningCube()
{
}

/*!
    \fn SpinningCube::render()
 */
void SpinningCube::render()
{
  static float f = 0.0f;
  glPushMatrix();
    glTranslatef(0.0f, 0.0f, 0.5f);
    glRotatef(sin(f)*360.0f, 0.0f, 0.0f, 1.0f);
    glRotatef(cos(f)*360.0f, 1.0f, 1.0f, 0.0f);
    glColor4f(0.3f, 0.3f, 1.0f, 1.0f);
    f += 0.001f;
    glutWireCube(0.25f);
  glPopMatrix();
}
