/***************************************************************************
 * glPresent                                                               *
 * An OpenGL presentation manager                                          *
 * Copyright (C) 2004 Joshua Wise <joshua@joshuawise.com>.                 *
 *                                                                         *
 * This is my code. Don't use it without letting people have at least my   *
 * source. Diffs against my source would be appreciated. Try not to remove *
 * my copyright notice from the startup message, or if you have to, I      *
 * guess move it to the usage message. I won't sue you for copyright       *
 * infringement if you stick to these guidelines. Thanks.                  *
 ***************************************************************************/
#ifndef TRANSITION_H
#define TRANSITION_H

#include <renderable.h>
#include "transitionmanager.h"

/**
A Renderable that knows how to do certain things based on transition events.

@author Joshua Wise
*/
class Transition : public Renderable
{
public:
    virtual void render() = 0;
    virtual void slideEnter(TransitionManager* t) = 0;
    virtual void slideLeave(TransitionManager* t) = 0;
};

#endif
